Skip to main content
GET
Retrieve Entitlements

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Query Parameters

filter
string

The filtering conditions: property names or property paths using filtering operators and values.

The supported operators are:

Precedence order for logical operators: not, and, or.

include
string

The include data specification: A string composed of comma separated property names. Property paths are supported, property paths use periods as separators. If properties have a large number of items, a page number and size can be provided, following the property name in squeare brackets (e.g.: bookmarks[1|20]).

orderBy
string

This contains a comma-separated list of expressions used to sort the items.

The expression MAY include the prefix "+" for ascending or "-" for descending. If "+" or "-" is not specified, ascending order is used.

NULL values are sorted as "less than" non-NULL values.

Items are sorted by the result values of the first expression, and then items with the same value for the first expression are sorted by the result value of the second expression, and so on. The sort order is the inherent order for the type of the property.

page
integer
default:0

The results page number.

Required range: x >= 0
size
integer<int32>
default:20

The number of items to be returned.

Required range: 1 <= x <= 100

Response

OK

partnerSubscriptionId
string
required

MarketONE partner service provisioning record identifier.

Maximum string length: 256
productCode
string
required

The product code defined by the partner identified by partner code.

Maximum string length: 128
createdDate
string<datetime>
required

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

serviceStatus
enum<string>
required

Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.

Available options:
UNPROVISIONED,
INACTIVE,
ACTIVE,
CANCELLATION-IN-PROGRESS,
CANCELLED,
UPDATE-IN-PROGRESS,
PAUSED,
PAUSE-IN-PROGRESS,
RESUME-IN-PROGRESS
Maximum string length: 50
account
object
subscriptionId
string

The id subscription associated with this partner service.

Maximum string length: 128
externalPartnerSubscriptionId
string

The identifier returned by the partner from the "AddSubscription" callback.

Maximum string length: 256
partnerCode
string

The partner code as set by the partner admin in MarketONE.

Maximum string length: 15
quantity
integer

represents the quantity that this entitlement should enable. Required for products with QUANTITY entitlementType.

Example:

500

updatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

startServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

endServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

activatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner subscription was activated (optional)